import { jsx as _jsx } from "react/jsx-runtime";
import React, { createContext, useCallback, useMemo } from 'react';
export const EditorPropsContext = createContext({
    props: {},
    updateProps: () => {
        throw new Error('Not implemented');
    },
});
export const EditorPropsProvider = ({ children }) => {
    const [props, setProps] = React.useState({});
    const updateProps = useCallback(({ defaultProps, id, newProps, }) => {
        setProps((prev) => {
            var _a;
            return {
                ...prev,
                [id]: typeof newProps === 'function'
                    ? newProps((_a = prev[id]) !== null && _a !== void 0 ? _a : defaultProps)
                    : newProps,
            };
        });
    }, []);
    const ctx = useMemo(() => {
        return { props, updateProps };
    }, [props, updateProps]);
    return (_jsx(EditorPropsContext.Provider, { value: ctx, children: children }));
};
