import React from 'react';
import type { LoopDisplay } from './CompositionManager.js';
export type LayoutAndStyle = {
    layout?: 'absolute-fill';
    premountFor?: number;
    style?: React.CSSProperties;
    className?: string;
} | {
    layout: 'none';
};
export type SequencePropsWithoutDuration = {
    children: React.ReactNode;
    width?: number;
    height?: number;
    from?: number;
    name?: string;
    showInTimeline?: boolean;
    /**
     * @deprecated For internal use only.
     */
    _remotionInternalLoopDisplay?: LoopDisplay;
    /**
     * @deprecated For internal use only.
     */
    _remotionInternalPremountDisplay?: number | null;
    /**
     * @deprecated For internal use only.
     */
    _remotionInternalStack?: string;
    /**
     * @deprecated For internal use only.
     */
    _remotionInternalIsPremounting?: boolean;
} & LayoutAndStyle;
export type SequenceProps = {
    durationInFrames?: number;
} & SequencePropsWithoutDuration;
/**
 * @description A component that time-shifts its children and wraps them in an absolutely positioned <div>.
 * @see [Documentation](https://www.remotion.dev/docs/sequence)
 */
export declare const Sequence: React.ForwardRefExoticComponent<SequenceProps & React.RefAttributes<HTMLDivElement>>;
