import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useEffect, useState } from 'react';
export const PreloadContext = createContext({});
let preloads = {};
let updaters = [];
export const setPreloads = (updater) => {
    preloads = updater(preloads);
    updaters.forEach((u) => u());
};
export const PrefetchProvider = ({ children }) => {
    const [_preloads, _setPreloads] = useState(() => preloads);
    useEffect(() => {
        const updaterFunction = () => {
            _setPreloads(preloads);
        };
        updaters.push(updaterFunction);
        return () => {
            updaters = updaters.filter((u) => u !== updaterFunction);
        };
    }, []);
    return (_jsx(PreloadContext.Provider, { value: _preloads, children: children }));
};
