import { jsx as _jsx } from "react/jsx-runtime";
/**
 * @vitest-environment jsdom
 */
import { render } from '@testing-library/react';
import React from 'react';
import { beforeEach, expect, test } from 'vitest';
import { Img } from '../Img.js';
const ref = React.createRef();
const testImgUrl = 'https://source.unsplash.com/random/50x50';
beforeEach(() => {
    render(_jsx(Img, { ref: ref, src: testImgUrl }));
});
test('Img component renders img tag', () => {
    var _a;
    expect((_a = ref.current) === null || _a === void 0 ? void 0 : _a.tagName).toBe('IMG');
});
test('Src attribute is forwarded to img tag', () => {
    expect(ref.current).toHaveProperty('src', testImgUrl);
});
