import { jsx as _jsx } from "react/jsx-runtime";
import { render } from '@testing-library/react';
import React from 'react';
export function renderHook(renderCallback, options = {}) {
    const { initialProps, wrapper } = options;
    const result = React.createRef();
    const TestComponent = ({ renderCallbackProps, }) => {
        const pendingResult = renderCallback(renderCallbackProps);
        React.useEffect(() => {
            // @ts-expect-error
            result.current = pendingResult;
        });
        return null;
    };
    const { rerender: baseRerender, unmount } = render(_jsx(TestComponent, { renderCallbackProps: initialProps }), { wrapper });
    function rerender(rerenderCallbackProps) {
        return baseRerender(_jsx(TestComponent, { renderCallbackProps: rerenderCallbackProps }));
    }
    return { result, rerender, unmount };
}
