import { jsx as _jsx } from "react/jsx-runtime";
/**
 * @vitest-environment jsdom
 */
import { render } from '@testing-library/react';
import { describe, expect, test } from 'vitest';
import { Sequence } from '../Sequence.js';
import { Freeze } from '../freeze.js';
import { useVideoConfig } from '../use-video-config.js';
import { WrapSequenceContext } from './wrap-sequence-context.js';
const Inner = () => {
    const config = useVideoConfig();
    return _jsx("div", { children: config.durationInFrames });
};
describe('Composition-validation render should NOT throw with valid props', () => {
    test('It should allow undefined as children', () => {
        const { queryByText } = render(_jsx(WrapSequenceContext, { children: _jsx(Freeze, { frame: 10000, children: _jsx(Sequence, { durationInFrames: 2424, from: 9265, children: _jsx(Inner, {}) }) }) }));
        expect(queryByText(/^2424$/)).not.toBe(null);
    });
});
