import { expect, test, vitest } from 'vitest';
import { useSyncVolumeWithMediaTag } from '../use-sync-volume-with-media-tag.js';
import { renderHook } from './render-hook.js';
test('has the volume been adapted', () => {
    var _a, _b;
    const addEventListener = vitest.fn();
    const removeEventListener = vitest.fn();
    const audioRef = {
        current: { volume: 0.5, addEventListener, removeEventListener },
    };
    const volume = 0.6;
    const volumePropFrame = 1;
    const actualVolume = 0.4;
    const initialProps = {
        volumePropFrame,
        actualVolume,
        volume,
        mediaRef: audioRef,
        mediaVolume: 1,
    };
    const { rerender } = renderHook((hookProps) => useSyncVolumeWithMediaTag(hookProps), {
        initialProps,
    });
    expect((_a = audioRef.current) === null || _a === void 0 ? void 0 : _a.volume).toEqual(initialProps.volume);
    const newVolume = 0.5;
    rerender({
        ...initialProps,
        volume: newVolume,
    });
    expect((_b = audioRef.current) === null || _b === void 0 ? void 0 : _b.volume).toEqual(newVolume);
});
test('volume should not be adapted', () => {
    var _a;
    const addEventListener = vitest.fn();
    const removeEventListener = vitest.fn();
    const audioRef = {
        current: { volume: 0.4, addEventListener, removeEventListener },
    };
    const volume = 0.4;
    const volumePropFrame = 1;
    const actualVolume = 0.4;
    const initialProps = {
        volumePropFrame,
        actualVolume,
        volume,
        mediaRef: audioRef,
        mediaVolume: 1,
    };
    renderHook((hookProps) => useSyncVolumeWithMediaTag(hookProps), {
        initialProps,
    });
    expect((_a = audioRef.current) === null || _a === void 0 ? void 0 : _a.volume).toEqual(initialProps.volume);
});
