import { jsx as _jsx } from "react/jsx-runtime";
import { CanUseRemotionHooksProvider } from '../CanUseRemotionHooks.js';
import { CompositionManager } from '../CompositionManagerContext.js';
import { ResolveCompositionConfig } from '../ResolveCompositionConfig.js';
const Comp = () => null;
const mockCompositionContext = {
    assets: [],
    compositions: [
        {
            id: 'my-comp',
            durationInFrames: 1000000,
            // @ts-expect-error
            component: Comp,
            defaultProps: {},
            folderName: null,
            fps: 30,
            height: 1080,
            width: 1080,
            parentFolderName: null,
            nonce: 0,
            calculateMetadata: null,
        },
    ],
    folders: [],
    registerComposition: () => undefined,
    registerFolder: () => undefined,
    unregisterComposition: () => undefined,
    unregisterFolder: () => undefined,
    canvasContent: { type: 'composition', compositionId: 'my-comp' },
};
export const WrapSequenceContext = ({ children }) => {
    return (_jsx(CanUseRemotionHooksProvider, { children: _jsx(CompositionManager.Provider, { value: mockCompositionContext, children: _jsx(ResolveCompositionConfig, { children: children }) }) }));
};
